: Class DragSourceContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.dnd
Class DragSourceContext

    java.lang.Object
      |
      +--grendel.dnd.DragSourceContext

public class DragSourceContext
extends java.lang.Object

Constructor Summary
`DragSourceContext(DragSource aSource, java.awt.Component aComponent, java.awt.AWTEvent aTrigger, java.awt.datatransfer.Transferable aTransferable)`

Method Summary
`void` | `addDragSourceListener(DragSourceListener dsl)`
`void` | `cancelDrag()`
`void` | `commitDrop()`
`java.awt.Component` | `getComponent()`
`java.awt.Cursor` | `getCursor()`
`DragSource` | `getDragSource()`
`int` | `getSourceActions()`
`java.awt.datatransfer.Transferable` | `getTransferable()`
`java.awt.AWTEvent` | `getTrigger()`
`void` | `removeDragSourceListener(DragSourceListener dsl)`
`void` | `setCursor(java.awt.Cursor cursor)`
`void` | `setSourceActions(int actions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSourceContext

    public DragSourceContext(DragSource aSource,
                             java.awt.Component aComponent,
                             java.awt.AWTEvent aTrigger,
                             java.awt.datatransfer.Transferable aTransferable)

Method Detail

### getDragSource

    public DragSource getDragSource()

### getComponent

    public java.awt.Component getComponent()

### getTrigger

    public java.awt.AWTEvent getTrigger()

### getTransferable

    public java.awt.datatransfer.Transferable getTransferable()

### cancelDrag

    public void cancelDrag()
                    throws InvalidDnDOperationException

### commitDrop

    public void commitDrop()
                    throws InvalidDnDOperationException

### getSourceActions

    public int getSourceActions()

### setSourceActions

    public void setSourceActions(int actions)
                          throws InvalidDnDOperationException

### setCursor

    public void setCursor(java.awt.Cursor cursor)
                   throws InvalidDnDOperationException

### getCursor

    public java.awt.Cursor getCursor()

### addDragSourceListener

    public void addDragSourceListener(DragSourceListener dsl)
                               throws java.util.TooManyListenersException

### removeDragSourceListener

    public void removeDragSourceListener(DragSourceListener dsl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD